%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          librsvg
Version:       2.59.2
Release:       1mamba
Summary:       A high performance SVG rendering library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/GNOME/librsvg
Source:        http://ftp.gnome.org/pub/gnome/sources/librsvg/%{majversion}/librsvg-%{version}.tar.xz
Patch0:        librsvg-2.44.5-u64_u32.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libdav1d-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libpango-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: libart_lgpl-devel
BuildRequires: gettext-devel
BuildRequires: libpopt-devel
BuildRequires: libnspr-devel
BuildRequires: libICE-devel
BuildRequires: vala-devel
Requires:      libgsf
Provides:      librsvg-mozilla
Obsoletes:     librsvg-mozilla < 2.52.0

%description
The GNOME SVG Library (RSVG) is a high performance library for rendering SVG and SVGZ files associated with the Gnome Project.

%package mozilla
Summary:        Mozilla plugin for %{name}
Group:          Applications/Web

%description mozilla
The GNOME SVG Library (RSVG) is a high performance library for rendering SVG and SVGZ files associated with the Gnome Project.

This package contains the Mozilla plugin.

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The GNOME SVG Library (RSVG) is a high performance library for rendering SVG and SVGZ files associated with the Gnome Project.
This package contains static libraries and header files needed for development.

%package tools
Summary:       Tools provides with %{name}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
The GNOME SVG Library (RSVG) is a high performance library for rendering SVG and SVGZ files associated with the Gnome Project.
This package contains the tools provided with %{name}.

%package apidocs
Summary:       API documentation for %{name}
Group:         Documentation
Requires:      gtk-doc

%description apidocs
The GNOME SVG Library (RSVG) is a high performance library for rendering SVG and SVGZ files associated with the Gnome Project.
This package contains the API documentation needed for development.

%prep
%setup -q
cargo fetch --locked --target "$(rustc -vV | sed -n 's/host: //p')"

%build
%meson \
   -Davif=enabled

%meson_build

%install
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/librsvg-2.so.*
%{_libdir}/girepository-1.0/Rsvg-2.0.typelib
%{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/*.so
%doc AUTHORS COPYING.LIB

%files tools
%defattr(-,root,root)
%{_bindir}/rsvg-convert
%{_datadir}/thumbnailers/librsvg.thumbnailer
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/librsvg-2.0/librsvg
%{_includedir}/librsvg-2.0/librsvg/*
%{_libdir}/librsvg-2.so
%{_datadir}/gir-1.0/Rsvg-2.0.gir
%{_datadir}/vala/vapi/librsvg-2.0.*
%{_libdir}/pkgconfig/*

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/Rsvg-2.0
%{_docdir}/Rsvg-2.0/*

%changelog
* Mon Jan 20 2025 Automatic Build System <autodist@openmamba.org> 2.59.2-1mamba
- automatic version update by autodist

* Fri Sep 13 2024 Automatic Build System <autodist@openmamba.org> 2.58.4-1mamba
- automatic version update by autodist

* Sat Aug 17 2024 Automatic Build System <autodist@openmamba.org> 2.58.3-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 2.58.2-1mamba
- automatic version update by autodist

* Sat May 25 2024 Automatic Build System <autodist@openmamba.org> 2.58.1-1mamba
- automatic version update by autodist

* Mon Mar 18 2024 Automatic Build System <autodist@openmamba.org> 2.58.0-1mamba
- automatic version update by autodist

* Wed Feb 14 2024 Automatic Build System <autodist@openmamba.org> 2.57.91-1mamba
- automatic update by autodist

* Sat Dec 16 2023 Automatic Build System <autodist@mambasoft.it> 2.57.1-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 2.57.0-1mamba
- automatic version update by autodist

* Fri Jul 21 2023 Automatic Build System <autodist@mambasoft.it> 2.56.3-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 2.56.2-1mamba
- automatic version update by autodist

* Wed May 31 2023 Automatic Build System <autodist@mambasoft.it> 2.56.1-1mamba
- automatic version update by autodist

* Sat Mar 18 2023 Automatic Build System <autodist@mambasoft.it> 2.56.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 2.55.90-1mamba
- automatic version update by autodist

* Tue Oct 11 2022 Automatic Build System <autodist@mambasoft.it> 2.55.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2022 Automatic Build System <autodist@mambasoft.it> 2.54.5-1mamba
- automatic version update by autodist

* Thu Jun 16 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.54.4-2mamba
- added -tools package

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 2.54.4-1mamba
- automatic version update by autodist

* Tue May 17 2022 Automatic Build System <autodist@mambasoft.it> 2.54.3-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 2.54.2-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 2.54.1-1mamba
- automatic version update by autodist

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 2.54.0-1mamba
- automatic version update by autodist

* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 2.52.7-1mamba
- automatic version update by autodist

* Fri Feb 18 2022 Automatic Build System <autodist@mambasoft.it> 2.52.6-1mamba
- automatic version update by autodist

* Sat Dec 18 2021 Automatic Build System <autodist@mambasoft.it> 2.52.5-1mamba
- automatic version update by autodist

* Sun Nov 14 2021 Automatic Build System <autodist@mambasoft.it> 2.52.4-1mamba
- automatic version update by autodist

* Sun Oct 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.52.3-1mamba
- update to 2.52.3

* Sun Oct 17 2021 Automatic Build System <autodist@mambasoft.it> 2.52.2-1mamba
- automatic version update by autodist

* Fri Oct 08 2021 Automatic Build System <autodist@mambasoft.it> 2.52.1-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Automatic Build System <autodist@mambasoft.it> 2.52.0-1mamba
- automatic version update by autodist

* Sat Jun 05 2021 Automatic Build System <autodist@mambasoft.it> 2.50.7-1mamba
- automatic version update by autodist

* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.50.6-1mamba
- update to 2.50.6

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 2.50.5-1mamba
- automatic version update by autodist

* Tue Apr 13 2021 Automatic Build System <autodist@mambasoft.it> 2.50.4-1mamba
- automatic version update by autodist

* Fri Jan 29 2021 Automatic Build System <autodist@mambasoft.it> 2.50.3-1mamba
- automatic version update by autodist

* Sat Nov 21 2020 Automatic Build System <autodist@mambasoft.it> 2.50.2-1mamba
- automatic version update by autodist

* Sat Oct 03 2020 Automatic Build System <autodist@mambasoft.it> 2.50.1-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 2.50.0-1mamba
- automatic version update by autodist

* Fri Jul 03 2020 Automatic Build System <autodist@mambasoft.it> 2.48.8-1mamba
- automatic version update by autodist

* Fri Jun 05 2020 Automatic Build System <autodist@mambasoft.it> 2.48.7-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 2.48.6-1mamba
- automatic version update by autodist

* Sat May 30 2020 Automatic Build System <autodist@mambasoft.it> 2.48.5-1mamba
- automatic version update by autodist

* Thu Apr 23 2020 Automatic Build System <autodist@mambasoft.it> 2.48.4-1mamba
- automatic version update by autodist

* Fri Apr 10 2020 Automatic Build System <autodist@mambasoft.it> 2.48.3-1mamba
- automatic version update by autodist

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 2.48.2-1mamba
- automatic version update by autodist

* Sat Mar 28 2020 Automatic Build System <autodist@mambasoft.it> 2.48.1-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 2.48.0-1mamba
- automatic version update by autodist

* Mon Nov 25 2019 Automatic Build System <autodist@mambasoft.it> 2.46.4-1mamba
- automatic version update by autodist

* Wed Oct 23 2019 Automatic Build System <autodist@mambasoft.it> 2.46.3-1mamba
- automatic version update by autodist

* Sun Mar 24 2019 Automatic Build System <autodist@mambasoft.it> 2.44.13-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 2.44.12-1mamba
- automatic version update by autodist

* Sun Dec 30 2018 Automatic Build System <autodist@mambasoft.it> 2.44.11-1mamba
- automatic version update by autodist

* Wed Dec 12 2018 Automatic Build System <autodist@mambasoft.it> 2.44.10-1mamba
- automatic version update by autodist

* Wed Nov 14 2018 Automatic Build System <autodist@mambasoft.it> 2.44.9-1mamba
- automatic version update by autodist

* Thu Oct 25 2018 Automatic Build System <autodist@mambasoft.it> 2.44.8-1mamba
- automatic version update by autodist

* Wed Oct 10 2018 Automatic Build System <autodist@mambasoft.it> 2.44.7-1mamba
- automatic version update by autodist

* Mon Oct 01 2018 Automatic Build System <autodist@mambasoft.it> 2.44.6-1mamba
- automatic version update by autodist

* Fri Sep 28 2018 Automatic Build System <autodist@mambasoft.it> 2.44.5-1mamba
- automatic version update by autodist

* Tue Sep 25 2018 Automatic Build System <autodist@mambasoft.it> 2.44.4-1mamba
- automatic version update by autodist

* Sun Sep 23 2018 Automatic Build System <autodist@mambasoft.it> 2.44.3-1mamba
- automatic version update by autodist

* Wed Sep 12 2018 Automatic Build System <autodist@mambasoft.it> 2.44.2-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 2.40.20-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 2.40.19-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 2.40.18-1mamba
- automatic version update by autodist

* Fri Jun 10 2016 Automatic Build System <autodist@mambasoft.it> 2.40.16-1mamba
- automatic version update by autodist

* Sat Apr 02 2016 Automatic Build System <autodist@mambasoft.it> 2.40.15-1mamba
- automatic version update by autodist

* Wed Feb 03 2016 Automatic Build System <autodist@mambasoft.it> 2.40.13-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Automatic Build System <autodist@mambasoft.it> 2.40.12-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 2.40.11-1mamba
- automatic version update by autodist

* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 2.40.9-1mamba
- automatic version update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 2.40.8-1mamba
- automatic version update by autodist

* Sat Dec 13 2014 Automatic Build System <autodist@mambasoft.it> 2.40.6-1mamba
- automatic update by autodist

* Fri Oct 17 2014 Automatic Build System <autodist@mambasoft.it> 2.40.5-1mamba
- automatic version update by autodist

* Mon Sep 15 2014 Automatic Build System <autodist@mambasoft.it> 2.40.4-1mamba
- automatic version update by autodist

* Sat Aug 30 2014 Automatic Build System <autodist@mambasoft.it> 2.40.3-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Automatic Build System <autodist@mambasoft.it> 2.40.2-1mamba
- automatic version update by autodist

* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 2.40.1-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 2.40.0-1mamba
- automatic version update by autodist

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 2.39.0-1mamba
- automatic version update by autodist

* Wed Feb 27 2013 Automatic Build System <autodist@mambasoft.it> 2.37.0-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 2.36.4-1mamba
- automatic version update by autodist

* Sun Sep 02 2012 Automatic Build System <autodist@mambasoft.it> 2.36.3-1mamba
- automatic version update by autodist

* Sun Aug 19 2012 Automatic Build System <autodist@mambasoft.it> 2.36.2-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 2.36.1-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- update to 2.36.0

* Tue Nov 15 2011 Automatic Build System <autodist@mambasoft.it> 2.35.0-1mamba
- automatic version update by autodist

* Wed Sep 07 2011 Automatic Build System <autodist@mambasoft.it> 2.34.1-1mamba
- automatic version update by autodist

* Tue Apr 05 2011 Automatic Build System <autodist@mambasoft.it> 2.34.0-1mamba
- automatic update by autodist

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Wed Oct 13 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Wed Jul 07 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-2mamba
- rebuilt with libpng 1.4

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update to 2.26.3 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.26.0-2mamba
- automatic rebuild by autodist

* Fri Mar 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Tue Mar 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.3-2mamba
- automatic rebuild by autodist

* Fri Jan 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.3-1mamba
- automatic update by autodist

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.22.2-1mamba
- update to 2.22.2

* Mon Nov 12 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.2-1mamba
- update to 2.18.2
- launch gdk-pixbuf-query-loaders after install to enable svg support in gtk

* Sat Jun 30 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.16.1-1mamba
- update to 2.16.1
- new subpackage mozilla with Mozilla plugin

* Wed Jan 17 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.14.4-2qilnx
- new subpackage apidocs with API documentation
- added build requirements for libICE

* Thu Dec 21 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.14.4-1qilnx
- update to version 2.14.4 by autospec
- added missing build requirements

* Wed Jul 19 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.9.5-3qilnx
- fixed %%post and %%postun scriplets

* Tue Jul 18 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.9.5-2qilnx
- run gdk-pixbuf-query-loaders in %%post and %%postun scriptlets

* Tue Aug 30 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.9.5-1qilnx
- update to version 2.9.5 by autospec
- specfile fixes
- added mozilla plugins

* Tue Jan 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-2qilnx
- added librsvg requirement

* Tue Dec 30 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-1qilnx
- first build
